Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class ExtendedPartialVisitContext

    java.lang.Object
      javax.faces.component.visit.VisitContext
          org.richfaces.context.ExtendedVisitContext
              org.richfaces.context.ExtendedPartialVisitContext

    public class ExtendedPartialVisitContext

extends org.richfaces.context.ExtendedVisitContext

Author:
  Nick Belaevski

Field Summary

Fields inherited from class org.richfaces.context.ExtendedVisitContext
`META_COMPONENT_ID`

Fields inherited from class javax.faces.component.visit.VisitContext
`ALL_IDS`

Constructor Summary
`ExtendedPartialVisitContext(javax.faces.context.FacesContext facesContext, java.util.Collection<java.lang.String> clientIds, boolean limitRender)` Creates a PartialVisitorContext instance.
`ExtendedPartialVisitContext(javax.faces.context.FacesContext facesContext, java.util.Collection<java.lang.String> clientIds, java.util.Set<javax.faces.component.visit.VisitHint> hints, boolean limitRender)` Creates a PartialVisitorContext instance with the specified hints.

Method Summary
`javax.faces.component.visit.VisitContext` | `createNamingContainerVisitContext(javax.faces.component.UIComponent component, java.util.Collection<java.lang.String> directIds)`
`java.util.Collection<java.lang.String>` | `getDirectSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
`java.util.Set<javax.faces.component.visit.VisitHint>` | `getHints()`
`java.util.Collection<java.lang.String>` | `getIdsToVisit()`
`java.util.Collection<java.lang.String>` | `getSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
`javax.faces.component.visit.VisitResult` | `invokeVisitCallback(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class org.richfaces.context.ExtendedVisitContext
`buildExtendedClientId, buildExtendedComponentId, getFacesContext, getVisitMode, invokeMetaComponentVisitCallback`

Methods inherited from class javax.faces.component.visit.VisitContext
`createVisitContext, createVisitContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedPartialVisitContext

    public ExtendedPartialVisitContext(javax.faces.context.FacesContext facesContext,
                                       java.util.Collection<java.lang.String> clientIds,
                                       boolean limitRender)

  Creates a PartialVisitorContext instance.

  Parameters:
    `facesContext` - the FacesContext for the current request
    `clientIds` - the client ids of the components to visit
  Throws:
    `java.lang.NullPointerException` - if `facesContext` is `null`

### ExtendedPartialVisitContext

    public ExtendedPartialVisitContext(javax.faces.context.FacesContext facesContext,
                                       java.util.Collection<java.lang.String> clientIds,
                                       java.util.Set<javax.faces.component.visit.VisitHint> hints,
                                       boolean limitRender)

  Creates a PartialVisitorContext instance with the specified hints.

  Parameters:
    `facesContext` - the FacesContext for the current request
    `clientIds` - the client ids of the components to visit
    `hints` - a the VisitHints for this visit
  Throws:
    `java.lang.NullPointerException` - if `facesContext` is `null`

Method Detail

### getHints

    public java.util.Set<javax.faces.component.visit.VisitHint> getHints()

  Specified by:
    `getHints` in class `javax.faces.component.visit.VisitContext`
  See Also:
    `VisitContext.getHints`

### getIdsToVisit

    public java.util.Collection<java.lang.String> getIdsToVisit()

  Specified by:
    `getIdsToVisit` in class `javax.faces.component.visit.VisitContext`
  See Also:
    `VisitContext.getIdsToVisit()`

### getSubtreeIdsToVisit

    public java.util.Collection<java.lang.String> getSubtreeIdsToVisit(javax.faces.component.UIComponent component)

  Specified by:
    `getSubtreeIdsToVisit` in class `javax.faces.component.visit.VisitContext`
  See Also:
    `VisitContext.getSubtreeIdsToVisit()`

### getDirectSubtreeIdsToVisit

    public java.util.Collection<java.lang.String> getDirectSubtreeIdsToVisit(javax.faces.component.UIComponent component)

  Specified by:
    `getDirectSubtreeIdsToVisit` in class `org.richfaces.context.ExtendedVisitContext`

### invokeVisitCallback

    public javax.faces.component.visit.VisitResult invokeVisitCallback(javax.faces.component.UIComponent component,
                                                                       javax.faces.component.visit.VisitCallback callback)

  Specified by:
    `invokeVisitCallback` in class `javax.faces.component.visit.VisitContext`
  See Also:
    `VisitContext.invokeVisitCallback()`

### createNamingContainerVisitContext

    public javax.faces.component.visit.VisitContext createNamingContainerVisitContext(javax.faces.component.UIComponent component,
                                                                                      java.util.Collection<java.lang.String> directIds)

  Specified by:
    `createNamingContainerVisitContext` in class `org.richfaces.context.ExtendedVisitContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.